package common.controller;

import org.springframework.util.ResourceUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.io.*;


@RestController
public class ContractSaveController {



    @RequestMapping(value = "txt2db",method = RequestMethod.GET)
    void saveTxtData2Db(){

        BufferedReader reader = null;

        try {

            File txt = ResourceUtils.getFile("classpath:hisdata.txt");

            reader = new BufferedReader(new FileReader(txt));

            String tempString = null;

            while ((tempString = reader.readLine()) != null) {
                // 显示行号

                System.out.println(tempString);

            }

        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }finally {
            if (reader != null) {
                try {
                    reader.close();
                } catch (IOException e1) {
                }
            }
        }


    }
}
